# general info
NAME="apr"
DESC="Apache Portable Runtime"
VERSION="1.7.4"

# required files
FILES=("https://archive.apache.org/dist/apr/apr-${VERSION}.tar.bz2")
HASHES=("f8a62f3984898ba0ea8b6f26b851cb99")

# install and build depends
DEPENDS=("util-linux")
BUILD=("python3")

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.bz2"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr  \
            --disable-static \
            --with-installbuilddir=/usr/share/apr-1/build
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
